<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/ui_surface"
        android:padding="16dp">

        <View
            android:id="@+id/skeleton1"
            android:layout_width="36dp"
            android:layout_height="36dp"
            android:background="@drawable/bg_skeleton_radius_999"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <View
            android:id="@+id/skeleton2"
            android:layout_width="64dp"
            android:layout_height="16dp"
            android:layout_marginStart="12dp"
            android:layout_marginLeft="12dp"
            android:background="@drawable/bg_skeleton_radius_4"
            app:layout_constraintStart_toEndOf="@+id/skeleton1"
            app:layout_constraintTop_toTopOf="parent" />

        <View
            android:id="@+id/skeleton3"
            android:layout_width="48dp"
            android:layout_height="12dp"
            android:layout_marginTop="8dp"
            android:background="@drawable/bg_skeleton_radius_4"
            app:layout_constraintStart_toStartOf="@+id/skeleton2"
            app:layout_constraintTop_toBottomOf="@+id/skeleton2" />

        <View
            android:id="@+id/skeleton4"
            android:layout_width="match_parent"
            android:layout_height="14dp"
            android:layout_marginTop="16dp"
            android:background="@drawable/bg_skeleton_radius_4"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/skeleton1" />

        <View
            android:id="@+id/skeleton5"
            android:layout_width="match_parent"
            android:layout_height="14dp"
            android:layout_marginTop="8dp"
            android:background="@drawable/bg_skeleton_radius_4"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/skeleton4" />

        <View
            android:id="@+id/skeleton6"
            android:layout_width="112dp"
            android:layout_height="14dp"
            android:layout_marginTop="8dp"
            android:background="@drawable/bg_skeleton_radius_4"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/skeleton5" />

        <View
            android:id="@+id/skeleton7"
            android:layout_width="32dp"
            android:layout_height="12dp"
            android:layout_marginTop="20dp"
            android:background="@drawable/bg_skeleton_radius_4"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/skeleton6" />

        <View
            android:id="@+id/skeleton8"
            android:layout_width="20dp"
            android:layout_height="20dp"
            android:layout_marginTop="16dp"
            android:background="@drawable/bg_skeleton_radius_4"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/skeleton6" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="8dp"
        android:background="@color/ui_divider" />

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/ui_surface"
        android:orientation="horizontal"
        android:paddingStart="16dp"
        android:paddingTop="12dp"
        android:paddingEnd="16dp"
        android:paddingBottom="12dp">

        <View
            android:layout_width="64dp"
            android:layout_height="16dp"
            android:layout_gravity="start|center_vertical"
            android:background="@drawable/bg_skeleton_radius_4" />

        <View
            android:layout_width="72dp"
            android:layout_height="24dp"
            android:layout_gravity="end|center_vertical"
            android:background="@drawable/bg_skeleton_radius_999" />
    </FrameLayout>

    <include layout="@layout/item_skeleton_article_detail_comment" />

    <include layout="@layout/item_skeleton_article_detail_comment" />

    <include layout="@layout/item_skeleton_article_detail_comment" />

    <include layout="@layout/item_skeleton_article_detail_comment" />

</LinearLayout>